commit 5483a6e6cd2c2bf0ebcb500875a4ddf5b9bf877b
Author: Alexander Korotkov <a.korotkov@postgrespro.ru>
Date:   Mon May 7 18:59:53 2018 +0300

    Change vacuum_cleanup_index_scale_factor GUC to PGC_USERSET
    
    vacuum_cleanup_index_scale_factor GUC was defined as PGC_SIGHUP.  But this
    GUC affects not only autovacuum.  So it might be useful to change it from user
    session in order to influence manually runned VACUUM.

diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index f496ad6281..7cd2d2d80e 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -3238,7 +3238,7 @@ static struct config_real ConfigureNamesReal[] =
 	},
 
 	{
-		{"vacuum_cleanup_index_scale_factor", PGC_SIGHUP, AUTOVACUUM,
+		{"vacuum_cleanup_index_scale_factor", PGC_USERSET, AUTOVACUUM,
 			gettext_noop("Number of tuple inserts prior to index cleanup as a fraction of reltuples."),
 			NULL
 		},
